#! /bin/sh
#
#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
#		Modified for Debian GNU/Linux
#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
#
# Version:	@(#)skeleton  1.8  03-Mar-1998  miquels@cistron.nl
#
# This file was automatically customized by dh-make on Sun, 18 Nov 2001 22:05:49 +1100

PATH=/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/opengate
NAME=opengate
DESC="H.323 gatekeeper"

test -f $DAEMON || exit 0

set -e

case "$1" in
  start)
	echo -n "Starting $DESC: "
	start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
		--exec $DAEMON -- \
		--daemon --pid-file /var/run/$NAME.pid \
		--ini-file /etc/opengate.conf >> /var/log/opengate.log
	echo "$NAME."
	;;
  stop)
	echo -n "Stopping $DESC: "
	start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \
		--retry 15 --exec $DAEMON -- \
		--pid-file /var/run/$NAME.pid \
		--ini-file /etc/opengate.conf >> /var/log/opengate.log
	echo "$NAME."
	;;
  #reload)
	#
	#	If the daemon can reload its config files on the fly
	#	for example by sending it SIGHUP, do it here.
	#
	#	If the daemon responds to changes in its config file
	#	directly anyway, make this a do-nothing entry.
	#
	# echo "Reloading $DESC configuration files."
	# start-stop-daemon --stop --signal 1 --quiet --pidfile \
	#	/var/run/$NAME.pid --exec $DAEMON
  #;;
  restart|force-reload)
	#
	#	If the "reload" option is implemented, move the "force-reload"
	#	option to the "reload" entry above. If not, "force-reload" is
	#	just the same as "restart".
	#
	echo -n "Restarting $DESC: "
	start-stop-daemon --stop --quiet --pidfile  \
		/var/run/$NAME.pid --retry 15 --exec $DAEMON -- \
                --pid-file /var/run/$NAME.pid \
                --ini-file /etc/opengate.conf >> /var/log/opengate.log
	sleep 5
	start-stop-daemon --start --quiet --pidfile \
		/var/run/$NAME.pid --exec $DAEMON -- \
                --daemon --pid-file /var/run/$NAME.pid \
                --ini-file /etc/opengate.conf >> /var/log/opengate.log
	echo "$NAME."
	;;
  *)
	N=/etc/init.d/$NAME
	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
	echo "Usage: $N {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0
